Cyberduck Mountain Duck CLI

#9903 closed defect (worksforme)

user.config flushes settings

Reported by: petr108m Owned by: yla
Priority: normal Milestone:
Component: core Version: 5.4
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description (last modified by dkocher)

cyberduck was closed I modified

\AppData\Roaming\iterate_GmbH\Cyberduck.exe_Url_y3p2ebapuyakx1wepw5uc1dcj54dho4b\5.4.0.23761\user.config as follows:

to disable Expect: 100-continue

...
<setting name="CdSettings" serializeAs="Xml">
  <value>
    <settings>
      <setting name="webdav.expect-continue" value="false" />
      ...
    </settings>
  </value>
</setting>

Started cyberduck, no result of uploading to ceph cluster through nginx balancer then I rechecked

\AppData\Roaming\iterate_GmbH\Cyberduck.exe_Url_y3p2ebapuyakx1wepw5uc1dcj54dho4b\5.4.0.23761\user.config

all modified data was erased. it was regenereated. I tried tp paste in the beginning and at the end - all the same, flushing

how to keep changes untouched?

Change History (4)

comment:1 Changed on Apr 1, 2017 at 9:18:12 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Apr 17, 2017 at 7:08:42 PM by dkocher

  • Owner set to yla

comment:3 Changed on Jul 1, 2017 at 7:20:25 PM by dkocher

  • Resolution set to worksforme
  • Status changed from new to closed

Your changes should be preserved although the file is rewritten and the ordering of the properties set may be different as a result.

comment:4 Changed on Jul 4, 2017 at 1:44:56 PM by petr108m

Yes, now line is on its place

But I still get Expect: 100-continue

I use custom profile S3(HTTPS) from site

should it be written like <setting name="s3.expect-continue" value="false" /> or any other idea what can help ?

Last edited on Jul 4, 2017 at 1:45:51 PM by petr108m (previous) (diff)
Note: See TracTickets for help on using tickets.
swiss made software